function plotAllGroupBVCEAByFrames

global the4GroupBVCEAByFrame


%  this one  just plots data, no fits
%   it does NOT take the log of the x values, but instead just plots on a
%   log scale using the XScale parameter of Matlab
%
theFontSize = 22;
figure;

%MAX_AREA is set to be 512 by 512.
%to do the new calculation, we need to reduce the MAX_AREA
MAX_AREA = 512*512;
letterboxMAXAREA = MAX_AREA*0.75;


clips = {'Big','Planet','Sunday','Shakes','Network','Quiz'};
groups = {'OM','YM','OF','YF'};
lineStyles = {'-k','--k',':k','-.k'};
lineWidth = 3;

cell = 0;
%outputTable{1} = {'clip','group','a','b','80%','a-95','a+95','b-95','b+95'};
%outputTable{1} = ['clip','group','a','b','80%','a-95','a+95','b-95','b+95'];
lineCount = 0;
for clipNo = 1:6
    cell = cell + 1;
    mySubplot(cell);
    for groupNo = 1:4
%         xx = 1:4096;
%         logOfX = log(xx);
%         xx=chopLeftSide:(4096-chopRightSide);
        theOneToPlot = the4GroupBVCEAByFrame{groupNo,clipNo};
        len = length(theOneToPlot(:,2));
        xvalues = 1:len;
        yvalues = xvalues./len;
        
        skipResidualPlots = true;
        funcForm=2;
        [beta,ConfBeta,theFittedCurve,theResiduals] = fitOneBVCEAHist(funcForm,theOneToPlot,clips(clipNo),'o',skipResidualPlots, cell);
        %the80pct(groupNo) = antilogisticModified(beta,0.8);
        %   express the 80 % point as a screen fraction. 4096 is 0.5 screen
        %the80pctEXP(groupNo) = exp(the80pct(groupNo))/8192;
        
        %   express the 50 % point as a screen fraction. 
        the80pct(groupNo) = antilogisticModified(beta,0.8)
        the80pctEXP(groupNo) = exp(the80pct(groupNo));
        the50pct(groupNo) = antilogisticModified(beta,0.5)
        the50pctEXP(groupNo) = exp(the50pct(groupNo));
       
        
        plot(log(theOneToPlot(:,2)),yvalues,char(lineStyles(groupNo)),'LineWidth',lineWidth);
        %set(gca,'Xlim',[-1 log(letterboxMAXAREA)] );
        set(gca,'Xlim',[log(letterboxMAXAREA/512) log(4*letterboxMAXAREA)] );
        hold on;
         
        
        lineCount = lineCount+1;
        casenames{lineCount} = [char(clips(clipNo)) '-' char(groups(groupNo))];
        outputTable{lineCount} = ...
            [beta(1),beta(2),the80pct(groupNo),the80pctEXP(groupNo), ...
            ConfBeta(1,1),ConfBeta(1,2),ConfBeta(2,1),ConfBeta(2,2), ...
            the50pct(groupNo),the50pctEXP(groupNo)];
        hold on;
    end;
   
        %plot the (4) 50% lines on the plot. Do this outside the above loop
        %so that the legend does not get screwed up.
        %create the 2 points that will generate the vertical line at the 80% mark
     for groupNo = 1:4
        xpp = log(letterboxMAXAREA*the50pctEXP(groupNo)); %units of plot are log of area in px**2
        xp = [xpp xpp];
        yp = [0 1];   
        hold on;
        plot(xp,yp,char(lineStyles(groupNo)),'LineWidth',lineWidth);
     end;


    
    
    
    xlabel('Fraction Of Movie Scene Area','FontSize',theFontSize);
    %   figure out the tick labels.  the far right is 0.5.

    xticks = [log(letterboxMAXAREA/128),log(letterboxMAXAREA/64),log(letterboxMAXAREA/32),log(letterboxMAXAREA/16),...
        log(letterboxMAXAREA/8),log(letterboxMAXAREA/4),log(letterboxMAXAREA/2),log(letterboxMAXAREA)];
	xlabs = {'1/128';'';'1/32';'';'1/8';'';'1/2';''};
    set(gca,'XTick',xticks);
	set(gca,'XTickLabel',xlabs,'FontSize',theFontSize);   %this also alters the legend font size (I think)
    yticks=[0 0.2 0.4 0.6 0.8 1];
    set(gca,'YTick',yticks);
    legend(char(groups(1)),char(groups(2)),char(groups(3)),char(groups(4)),4);
    text(log(letterboxMAXAREA/256),.8,char(clips(clipNo)),'FontSize',theFontSize);
    if ( cell<5 )  %turn off x axis label for all except last 2 plots
        xlabel('');
        set(gca,'XTickLabel','');
    end;
    if (mod(cell,2)==0)   %turn off the left hand ticks and labels for even cells 
        %set(gca,'Visible','off');
         ylabel('');
         ylabs = {''};
         set(gca,'YTickLabel',ylabs);
    elseif (cell==3)   %turn on the left hand ticks and labels for odd cells 
        %set(gca,'Visible','off');
         ylabel('Cumulative Proportion of Frames','FontSize',theFontSize);
         ylabs = {'0';'0.2';'0.4';'0.6';'0.8';'1'};
         set(gca,'YTickLabel',ylabs);
    elseif( cell==1 || cell==5)  %turn off label of Y axis for upper and lower
         %hold on;
         ylabel('  ','FontSize',theFontSize);
     end;


end;
    % outputTable = cell2mat(outputTable);
%     for i = 1:lineCount
%         outputTable{i}
%     end;
    varnames = {'a','b','80%','80%SF','a-','a+','b-','b+','50%','50%SF'};

   tblwrite(cell2mat(outputTable'),varnames, casenames,'output.dat');
   
   %        build the repeated measures output table . only 4 cases. the
   %        repeated measures are the clips
   %            COMMENT OUT - NOT CHECKED THAT IT WORKS FOR THE 80% AS
   %            SCREEN FRACTION
%    cases2 = groups;
%    work1 = cell2mat(outputTable');
%    out2 = zeros(4,7*6);
%    var2 = [varnames varnames varnames varnames varnames varnames]
%    out2(1,:) = [work1(1,:) work1(5,:) work1(9,:) work1(13,:) work1(17,:) work1(21,:)];
%    out2(2,:) = [work1(2,:) work1(6,:) work1(10,:) work1(14,:) work1(18,:) work1(22,:)];
%    out2(3,:) = [work1(3,:) work1(7,:) work1(11,:) work1(15,:) work1(19,:) work1(23,:)];
%    out2(4,:) = [work1(4,:) work1(8,:) work1(12,:) work1(16,:) work1(20,:) work1(24,:)];
%     tblwrite(out2,var2, cases2,'out2.dat')

return;